git: d7d1f48512a9 - main - Tools/scripts/rmport: differentiate exit codes.
Rene Ladan
rene at FreeBSD.org
Wed Apr 21 08:13:00 UTC 2021
The branch main has been updated by rene:
URL: https://cgit.FreeBSD.org/ports/commit/?id=d7d1f48512a99866bcd490c5b40e664e8dc62e0b
commit d7d1f48512a99866bcd490c5b40e664e8dc62e0b
Author: Rene Ladan <rene at FreeBSD.org>
AuthorDate: 2021-04-18 09:26:03 +0000
Commit: Rene Ladan <rene at FreeBSD.org>
CommitDate: 2021-04-21 08:01:03 +0000
Tools/scripts/rmport: differentiate exit codes.
---
Tools/scripts/rmport | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/Tools/scripts/rmport b/Tools/scripts/rmport
index 2b4a1c579150..cfb3238e5bb3 100755
--- a/Tools/scripts/rmport
+++ b/Tools/scripts/rmport
@@ -51,7 +51,7 @@ if [ -n "$(command -v git 2>/dev/null)" ]; then
GIT=git
else
echo "git(1) not found. Please install devel/git."
- exit 1
+ exit 66
fi
log()
@@ -103,7 +103,7 @@ find_catport()
echo ${category}/${port}
else
echo "What do you mean by '${arg}'?" >&2
- exit 1
+ exit 64
fi
}
@@ -213,7 +213,7 @@ get_PRs()
if [ -z "${raw}" ] ; then
log "${catport}: empty result from URL: ${url}"
- exit 1
+ exit 67
fi
printf "%s" "${raw}" \
@@ -378,11 +378,11 @@ usage()
if ! ${GIT} diff --exit-code remotes/origin/main ; then
echo "you have local commits, exiting" >&2
- exit
+ exit 65
fi
if [ ! -r ${INDEX} ] ; then
echo "${INDEX} not readable, exiting" >&2
- exit
+ exit 66
fi
git_dir="$(${GIT} rev-parse --git-dir)"
More information about the dev-commits-ports-all
mailing list